Uploaded image for project: 'Apache NiFi'
  1. Apache NiFi
  2. NIFI-1998

Upgrade Cassandra driver to 3.x

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 0.6.1
    • Fix Version/s: 1.0.0, 0.7.0, 1.0.0-Beta
    • Component/s: Extensions
    • Labels:
      None

      Description

      The Cassandra processors use the 2.1.9 driver, which is backwards-compatible to 1.x, but not forward-compatible to 3.x. The latest driver at the time of this writing is 3.0.2, which is fully backwards-compatible.

      Upgrading the driver, although it will involve API changes, will enable NiFi users to interact with any Cassandra cluster of version 1.x, 2.x, or 3.x.

        Attachments

          Activity

            People

            • Assignee:
              mattyb149 Matt Burgess
              Reporter:
              mattyb149 Matt Burgess
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: